Subject: Re: [PATCH] bcm43xx: Drain TX status before starting IRQs

From: Larry Finger <[email-masked]>
Date: Sat, 04 Nov 2006 10:38:06 -0600

Jouni Malinen wrote:
> On Thu, Nov 02, 2006 at 09:45:46AM +0100, Johannes Berg wrote:
>> On Wed, 2006-11-01 at 23:46 -0600, Larry Finger wrote:
>>> Has anyone used this patch, particularly with WPA encryption? When I try it, wpa_supplicant 
>>> immediately uses 90+% of the cpu and never actually authenticates with my AP. I wonder if it is 
>>> something with my system.
> 
> What does wpa_supplicant do here? Have you looked at the debug log? Is
> it in some kind of busy loop doing something?

I started wpa_supplicant in the foreground with the -w and -ddd options. When the BCM4306 card was 
plugged in, the following was output (this is hand transcribed and may not be exact):

Added interface wlan0
Ignore event for foreign ifindex 8
l2_packet_receive - recvfrom: Network is down
Ignore event for foreign ifindex 8
State: DISCONNECTED -> SCANNING
Starting AP scan (specific SSID)
Scan SSID - hexdump_ascii (len = 6)
         6c 77 66 64 6a 66               lwfdjf
ioctl[SIOGSIWSCAN]: No such device
Failed to initiate AP scan.
Setting scan request: 10 sec 0 usec
Ignore event for foreign ifindex 8

At this point, the system was in the state described earlier. I could not kill wpa_supplicant nor do 
anything else, and had to power off to recover.

Larry